# LZW #

This is a Java program that performs compression and decompression of streams using the [LZW](https://en.wikipedia.org/wiki/Lempel%E2%80%93Ziv%E2%80%93Welch) algorithm. It has three modes. In the first mode, the codebook is allowed to fill completely and remains full for the rest of the input stream. In the second mode, the codebook is reset upon filling up. In the third mode, the codebook is selectively reset if a heuristic determines doing so would result in better compression.